View Issue Details

IDProjectCategoryView StatusLast Update
0032704Open CASCADEOCCT:Visualizationpublic2021-12-17 18:41
Reporterkgv Assigned Tokgv  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Target Version7.7.0 
Summary0032704: Visualization, Prs3d_Drawer - do not implicitly create aspects within getters
DescriptionCurrently, methods like Prs3d_Drawer::ShadingAspects() return user-defined aspects set by setter (Prs3d_Drawer::SetShadingAspects()), aspects of linked Prs3d_Drawer instance (when own aspects not set) or create and return default aspects.

The latter behavior is confusing and error-prone. It is proposed removing this behavior and return NULL for undefined aspects.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

parent of 0032711 verifiedsmoskvin Coding Rules - new warning in AIS_Shape::Color() after integration fix for 0032704 
related to 0032710 newkgv Visualization, Prs3d_Drawer - getters for own aspects 
child of 0030598 assignedasuraven Visualization - redesign Prs3d_Drawer as aspects map 

Activities

git

2021-12-01 12:03

administrator   ~0105556

Branch CR32704 has been created by kgv.

SHA-1: be4580b301f2bc5d79be36d2514bd4a60e000b73


Detailed log of new commits:

Author: kgv
Date: Wed Dec 1 11:58:39 2021 +0300

    0032704: Visualization, Prs3d_Drawer - do not implicitly create aspects within getters
    
    Prs3d_Drawer getters now return NULL instead of implicitly creating "default" aspects.

git

2021-12-01 12:06

administrator   ~0105557

Branch CR32704 has been updated forcibly by kgv.

SHA-1: 2800a0f7993ede948406860d47a2213062d6dfe5

git

2021-12-01 12:11

administrator   ~0105558

Branch CR32704 has been updated forcibly by kgv.

SHA-1: 676c712df1a20c6b915c5fb785829b52db84caca

git

2021-12-01 13:37

administrator   ~0105561

Branch CR32704 has been updated forcibly by kgv.

SHA-1: 17770da5d494c6da8c0825890be350a541456def

git

2021-12-01 13:53

administrator   ~0105563

Branch CR32704 has been updated forcibly by kgv.

SHA-1: 8eb1b3d6d785972fba695bcc7a05a121a76ec0be

git

2021-12-01 14:16

administrator   ~0105564

Branch CR32704_1 has been created by kgv.

SHA-1: 03a1ab4e621147f523e82a7c32c8ec7f4ac541bd


Detailed log of new commits:

Author: kgv
Date: Wed Dec 1 11:58:39 2021 +0300

    0032704: Visualization, Prs3d_Drawer - do not implicitly create aspects within getters
    
    Prs3d_Drawer getters now return NULL instead of implicitly creating "default" aspects.
    Added missing initialization of default properties in AIS_InteractiveContext.

git

2021-12-01 15:29

administrator   ~0105567

Branch CR32704_1 has been updated forcibly by kgv.

SHA-1: 5e7c8f72270e49cdd6c4da5c94a01dd184c5d9ea

git

2021-12-01 16:08

administrator   ~0105572

Branch CR32704_1 has been updated forcibly by kgv.

SHA-1: fc9674b3ec96a3e949b3b49cb94cca2e72ac86ed

git

2021-12-01 17:38

administrator   ~0105580

Branch CR32704_1 has been updated forcibly by kgv.

SHA-1: ff2c181877dcf7c8f5edebd741c694f9faa4d1c3

git

2021-12-01 17:58

administrator   ~0105581

Branch CR32704_1 has been updated forcibly by kgv.

SHA-1: 997358bbdd2e059bda7e559545802f718bf0e84d

git

2021-12-01 17:59

administrator   ~0105582

Branch CR32704_1 has been updated forcibly by kgv.

SHA-1: 54d173731a408ad6f112729e9e5316ae4a7343cf

git

2021-12-01 18:04

administrator   ~0105583

Branch CR32704_1 has been updated forcibly by kgv.

SHA-1: abf472f44579d5887e72dacef093ad03ce47fce1

git

2021-12-01 20:14

administrator   ~0105585

Branch CR32704_1 has been updated forcibly by kgv.

SHA-1: 0af561f1827f4a038f4e602f1570801a915feb66

kgv

2021-12-01 20:17

developer   ~0105586

Patch is ready for review
- OCCT: branch CR32704_1;
- OCC Products: branch CR32704_1.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32704_1-CR32704_1-KGV/

git

2021-12-01 20:18

administrator   ~0105587

Branch CR32704_1 has been updated forcibly by kgv.

SHA-1: fec3e2b9f6eeac0e2982cd0befa478b222506cb3

osa

2021-12-02 14:03

developer   ~0105602

The patch was reviewed

git

2021-12-02 18:33

administrator   ~0105617

Branch CR32704_1 has been updated forcibly by kgv.

SHA-1: ac49919d1ca690dceb8140b8c7c13a561a5ea605

smoskvin

2021-12-04 12:00

administrator   ~0105647

Combination -
OCCT branch : IR-2021-12-03
master SHA - 03eb96038e853c37a2229e59d0acb72f5dd0478d
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-12-03 SHA - 52ed38cc2ddefb01913e1984cdae84175a8fb8ed
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18166.60000000042 / 18390.6500000004 [-1.22%]
Products
Total CPU difference: 11658.820000000103 / 11648.280000000103 [+0.09%]
Windows-64-VC14:
OCCT
Total CPU difference: 19937.84375 / 19928.171875 [+0.05%]
Products
Total CPU difference: 13069.28125 / 13059.03125 [+0.08%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-04 12:30

administrator   ~0105658

Branch CR32704 has been deleted by mnt.

SHA-1: 8eb1b3d6d785972fba695bcc7a05a121a76ec0be

git

2021-12-04 12:30

administrator   ~0105659

Branch CR32704_1 has been deleted by mnt.

SHA-1: ac49919d1ca690dceb8140b8c7c13a561a5ea605

Related Changesets

occt: master 4f5e9344

2021-12-01 08:58:39

kgv


Committer: smoskvin Details Diff
0032704: Visualization, Prs3d_Drawer - do not implicitly create aspects within getters

Prs3d_Drawer getters now return NULL instead of implicitly creating "default" aspects.
Added missing initialization of default properties in AIS_InteractiveContext.
AIS_InteractiveContext::setContextToObject() - added missing propagation of Context to child presentations.
Affected Issues
0032704
mod - dox/upgrade/upgrade.md Diff File
mod - samples/mfc/standard/01_Geometry/src/GeomSources.cpp Diff File
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession_Direction.cpp Diff File
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession_Surface.cpp Diff File
mod - src/AIS/AIS_InteractiveContext.cxx Diff File
mod - src/AIS/AIS_InteractiveContext.hxx Diff File
mod - src/AIS/AIS_Shape.cxx Diff File
mod - src/IVtkDraw/IVtkDraw.cxx Diff File
mod - src/IVtkOCC/IVtkOCC_Shape.cxx Diff File
mod - src/Prs3d/Prs3d_Drawer.cxx Diff File
mod - src/Prs3d/Prs3d_Drawer.hxx Diff File
mod - src/QABugs/QABugs_17.cxx Diff File
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff File
rm - tests/v3d/bugs/bug1174 Diff File

occt-products: master 52ed38cc

2021-12-01 18:28:07

kgv


Committer: smoskvin Details Diff
0032704: Visualization, Prs3d_Drawer - do not implicitly create aspects within getters Affected Issues
0032704
mod - src/PMIVis/PMIVis_Shapes.hxx Diff File

Issue History

Date Modified Username Field Change
2021-12-01 11:56 kgv New Issue
2021-12-01 11:56 kgv Assigned To => kgv
2021-12-01 12:03 git Note Added: 0105556
2021-12-01 12:06 kgv Relationship added child of 0030598
2021-12-01 12:06 git Note Added: 0105557
2021-12-01 12:11 git Note Added: 0105558
2021-12-01 13:37 git Note Added: 0105561
2021-12-01 13:53 git Note Added: 0105563
2021-12-01 14:16 git Note Added: 0105564
2021-12-01 15:29 git Note Added: 0105567
2021-12-01 16:08 git Note Added: 0105572
2021-12-01 17:38 git Note Added: 0105580
2021-12-01 17:58 git Note Added: 0105581
2021-12-01 17:59 git Note Added: 0105582
2021-12-01 18:04 git Note Added: 0105583
2021-12-01 20:14 git Note Added: 0105585
2021-12-01 20:17 kgv Test case number => N/A
2021-12-01 20:17 kgv Note Added: 0105586
2021-12-01 20:17 kgv Assigned To kgv => osa
2021-12-01 20:17 kgv Status new => resolved
2021-12-01 20:18 git Note Added: 0105587
2021-12-02 14:03 osa Note Added: 0105602
2021-12-02 14:03 osa Assigned To osa => bugmaster
2021-12-02 14:03 osa Status resolved => reviewed
2021-12-02 18:33 git Note Added: 0105617
2021-12-02 21:52 kgv Relationship added related to 0032710
2021-12-04 12:00 smoskvin Note Added: 0105647
2021-12-04 12:00 smoskvin Status reviewed => tested
2021-12-04 12:14 smoskvin Changeset attached => occt master 4f5e9344
2021-12-04 12:14 smoskvin Assigned To bugmaster => smoskvin
2021-12-04 12:14 smoskvin Status tested => verified
2021-12-04 12:14 smoskvin Resolution open => fixed
2021-12-04 12:30 git Note Added: 0105658
2021-12-04 12:30 git Note Added: 0105659
2021-12-04 13:06 kgv Relationship added parent of 0032711
2021-12-17 18:41 smoskvin Changeset attached => occt-products master 52ed38cc
2021-12-17 18:41 kgv Assigned To smoskvin => kgv